Create entitlement customer
curl --request POST \
--url https://api.zenskar.com/entitlements/{entitlement_id}/customer \
--header 'Content-Type: application/json' \
--header 'organisation: <api-key>' \
--header 'x-api-key: <api-key>' \
--data '
{
"customer": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlement": "<string>",
"expiry_at": "2023-11-07T05:31:56Z",
"active_from": "2023-11-07T05:31:56Z",
"quantity": 123,
"quantity_used": 123,
"contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"block_amount": 123,
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"numeric_value": 123,
"feature_option_value": "<string>"
}
'import requests
url = "https://api.zenskar.com/entitlements/{entitlement_id}/customer"
payload = {
"customer": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlement": "<string>",
"expiry_at": "2023-11-07T05:31:56Z",
"active_from": "2023-11-07T05:31:56Z",
"quantity": 123,
"quantity_used": 123,
"contract_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"block_amount": 123,
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"numeric_value": 123,
"feature_option_value": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"organisation": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-api-key': '<api-key>',
organisation: '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customer: '<string>',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
entitlement: '<string>',
expiry_at: '2023-11-07T05:31:56Z',
active_from: '2023-11-07T05:31:56Z',
quantity: 123,
quantity_used: 123,
contract_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
block_amount: 123,
invoice_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
numeric_value: 123,
feature_option_value: '<string>'
})
};
fetch('https://api.zenskar.com/entitlements/{entitlement_id}/customer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"entitlement": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"customer": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expiry_at": "2023-11-07T05:31:56Z",
"active_from": "2023-11-07T05:31:56Z",
"quantity": 123,
"quantity_used": 123,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Entitlements
Create entitlement customer
Create a new entitlement for a customer
POST
/
entitlements
/
{entitlement_id}
/
customer
Create entitlement customer
Authorizations
Path Parameters
Body
application/json
Create Entitlement Request Schema
Customer ID
Optional ID for the entitlement customer.
Entitlement ID
Entitlement Expiry Time
Entitlement Active From
Entitlement Units assigned
Entitlement Units Consumed
Contract ID
Source Type
Available options:
Grant, Billable, Rollover, Adjustment Source ID
Block Amount
Invoice ID
Event
Available options:
manual, invoice, payment, auto Numeric configuration value for feature-type entitlements
Selected option for boolean/enum entitlements
Status of the entitlement customer record
Available options:
draft, active, expired, voided Response
Successful Response
Create Entitlement Customer Request Schema
Entitlement Customer Row Id
Entitlement ID
Customer ID
Entitlement Expiry Time
Entitlement Active From
Entitlement Units assigned
Entitlement Units Consumed
created time